UIDMINUSER=1000	
UIDGUEST=998
PING4="ping "
PING6="ping6 "
SRVHTTP="nginx"
DIRPAM="/usr/share/defaults/etc/pam.d/"
SRVHTTPstart="systemctl start nginx "
SRVHTTPstop="systemctl stop nginx "
SRVHTTPrestart="systemctl restart nginx "
ENHTTP="systemctl enable nginx "
USERHTTPD="nginx"
GROUPHTTPD="nginx"
MAINCONFHTTPD="/etc/nginx/nginx.conf"
DIRCONFENABLEDHTTPD="/etc/nginx/sites-enabled/"
DIRHTML="/usr/share/nginx/html/CTparental"
DIRadminHTML="/usr/share/nginx/html/CTadmin"
CTPARENTALCONFHTTPD="$DIRCONFENABLEDHTTPD/ctparental.conf"
PASSWORDFILEHTTPD="/etc/nginx/nginx.user"
REALMADMINHTTPD="admin.ct.local"
FPMSOCK=""
NGINXFPM=2
PHPFPMrestart="systemctl restart php-fpm "
PHPFPMenable="systemctl enable php-fpm "
DNSMASQstart="systemctl start dnsmasq "
DNSMASQstop="systemctl stop dnsmasq "
DNSMASQrestart="systemctl restart dnsmasq "
NWMANAGERstop="systemctl stop NetworkManager "
NWMANAGERstart="systemctl start NetworkManager "
NWMANAGERrestart="systemctl restart NetworkManager "
E2GUARDIANrestart="systemctl restart e2guardian "
PRIVOXYrestart="systemctl restart privoxy "
RSYSLOGRESTART="systemctl restart rsyslog "
SSHstart="systemctl start sshd "
SSHstop="systemctl stop sshd "
SSHrestart="systemctl restart sshd "
ENABLESSH="systemctl enable sshd "
DISABLESSH="systemctl disable sshd "
NETWORKINGrestart="systemctl restart network-online.target "
iptablessave () {
/sbin/iptables-save > /etc/CTparental/iptablessave
/sbin/ip6tables-save > /etc/CTparental/ip6tablessave
chown root:root /etc/CTparental/iptablessave
chown root:root /etc/CTparental/ip6tablessave
chmod 744 /etc/CTparental/ip6tablessave
chmod 744 /etc/CTparental/iptablessave
}
IPTABLESsave="iptablessave "
ENIPTABLESSAVE=" "
UPDATECASYSTEM=" "
CADIR="/etc/ssl/certs"
noinstalldep=1
nomanuel=1
#TIMERALERT=10 
ADDCTDIGTEST="useradd --no-create-home --shell /bin/bash --system ctdigtest"


if [ ! -f /usr/lib/systemd/system/dnsmasq.service ] ; then
{
echo '[Unit]
Description=DNS caching server.
After=network.target

[Service]
ExecStart=/usr/bin/dnsmasq -k

[Install]
WantedBy=multi-user.target

'
} > /usr/lib/systemd/system/dnsmasq.service
systemctl daemon-reload
systemctl enable dnsmasq

fi
if [ ! -f /etc/systemd/system/iptablesctparental.service ] ; then
# ajout du service de persistance des iptables.
{
echo '#!/bin/bash
/sbin/iptables-restore < /etc/CTparental/iptablessave
/sbin/ip6tables-restore < /etc/CTparental/ip6tablessave
'
} > /usr/sbin/CTiptablesrestore
chown root:root /usr/sbin/CTiptablesrestore
chmod 550 /usr/sbin/CTiptablesrestore
{
    echo "[Unit]
Description=iptable load one boot
Wants=network.target
After=network-online.target

[Service]
ExecStart=/usr/sbin/CTiptablesrestore
Type=simple

[Install]
WantedBy=default.target

"
    } > /etc/systemd/system/iptablesctparental.service
chmod 664 /etc/systemd/system/iptablesctparental.service
systemctl daemon-reload
systemctl enable iptablesctparental

fi
 
